Subject: Re: bug#13611: SEGV during SMOB GC

From: Mike Gran <[email-masked]>
Date: Tue, 5 Feb 2013 20:56:18 -0800 (PST)

> From: Ludovic Courtès <[email-masked]>

>>>  I’m confident that the SMOB mark procedure is never called with null
>>>  scm_i_current_thread with 7.2 compiled with the default options (the
>>>  GnuTLS bindings rely on this, and I had not seen any such report until
>>>  someone tried with GC 7.3pre, which uses the parallel marker by
>>>  default.)
>> 
>>  It looks like fedora gc rpms do use --enable-parallel-mark
>>  for x86 architectures.
> 
> Then that’s the problem.
> 
>>  But it looks like it has been that way for a long time.
>>  Since 2005 at least.
> 
> And you did not have the problem before?  That part of Guile hasn’t
> changed in a long time, I think.

I have a different box than before: more cores.

Well, I guess that, for my libraries, I can make a preprocessor conditional
on SCM_MAJOR_VERSION == 2 to eliminate all smob marking for guile-2.x.

Could parallel marking have other, non-SMOB-related, side effects?
I can disable it by setting the envirnomnent variable GC_MARKERS to 1.

Thanks,

Mike